### Hierarchy

- $QLike

## Index

### Methods

- all
- defer
- reject
- when

## Methods

- all(promises: object): Promise<any>
- all(promises: Promise<any>[]): Promise<any[]>

- #### Parameters

  - ##### promises object

    - ##### [key: string]: Promise<any>

  #### Returns Promise<any>

  - Defined in common/coreservices.ts:31

- #### Parameters

  - ##### promises Promise<any>[]

  #### Returns Promise<any[]>

  - Defined in common/coreservices.ts:32

- defer(): $QLikeDeferred

- #### Returns $QLikeDeferred

  - Defined in common/coreservices.ts:30

- reject<T>(reason: any): Promise<T>

- #### Type parameters

  - #### T

  #### Parameters

  - ##### reason any

  #### Returns Promise<T>

  - Defined in common/coreservices.ts:29

- when<T>(value?: T | PromiseLike<T>): Promise<T>

- #### Type parameters

  - #### T

  #### Parameters

  - ##### value: Optional T | PromiseLike<T>

  #### Returns Promise<T>

  - Defined in common/coreservices.ts:28

Generated using TypeDoc